#!/usr/bin/python

# Find out when the ATF tests started panicing the kernel.

from bracket import *

use_current_repository()

def tests_completed(ts):
    test(test_op, ts)
    return get_cached_if_any(ts, 'passed_tests') is not None

# Original failure
# '2011.01.04.08.21.18', '2011.01.04.12.44.48'

# Sparc "ffs_newvnode: inode has non zero blocks" failure
find_failure(rcs2ts('2016.10.28.19.00.48'),
             rcs2ts('2016.10.28.23.44.32'),
             TestOp(tests_completed,
                    [install_op],
                    name = 'atf_test_completion'),
             confirm = False)
